[前][次][番号順一覧][スレッド一覧]

ruby-changes:30367

From: naruse <ko1@a...>
Date: Thu, 8 Aug 2013 14:54:16 +0900 (JST)
Subject: [ruby-changes:30367] naruse:r42436 (trunk): * common.mk (mini): portable target to build miniruby

naruse	2013-08-08 14:54:08 +0900 (Thu, 08 Aug 2013)

  New Revision: 42436

  http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=42436

  Log:
    * common.mk (mini): portable target to build miniruby
    
    * common.mk (bisect): run git-bisect with miniruby
    
    * common.mk (bisect-ruby): run git-bisect with ruby
    
    * tool/bisect.sh: script for git-bisect

  Added files:
    trunk/tool/bisect.sh
  Modified files:
    trunk/ChangeLog
    trunk/common.mk
Index: ChangeLog
===================================================================
--- ChangeLog	(revision 42435)
+++ ChangeLog	(revision 42436)
@@ -1,3 +1,13 @@ https://github.com/ruby/ruby/blob/trunk/ChangeLog#L1
+Thu Aug  8 14:50:36 2013  NARUSE, Yui  <naruse@r...>
+
+	* common.mk (mini): portable target to build miniruby
+
+	* common.mk (bisect): run git-bisect with miniruby
+
+	* common.mk (bisect-ruby): run git-bisect with ruby
+
+	* tool/bisect.sh: script for git-bisect
+
 Thu Aug  8 12:11:43 2013  NAKAMURA Usaku  <usa@r...>
 
 	* test/webrick/test_httpresponse.rb (test_send_body_*_chunked): these
Index: common.mk
===================================================================
--- common.mk	(revision 42435)
+++ common.mk	(revision 42436)
@@ -211,6 +211,7 @@ Doxyfile: $(srcdir)/template/Doxyfile.tm https://github.com/ruby/ruby/blob/trunk/common.mk#L211
 
 program: showflags $(PROGRAM)
 wprogram: showflags $(WPROGRAM)
+mini: PHONY miniruby$(EXEEXT)
 
 $(PROGRAM) $(WPROGRAM): $(LIBRUBY) $(MAINOBJ) $(OBJS) $(EXTOBJS) $(SETUP) $(PREP)
 
@@ -985,6 +986,12 @@ runruby: $(PROGRAM) PHONY https://github.com/ruby/ruby/blob/trunk/common.mk#L986
 parse: fake miniruby$(EXEEXT) PHONY
 	$(BTESTRUBY) $(srcdir)/tool/parse.rb $(TESTRUN_SCRIPT)
 
+bisect: PHONY
+	$(srcdir)/tool/bisect.sh miniruby $(srcdir)
+
+bisect-ruby: PHONY
+	$(srcdir)/tool/bisect.sh ruby $(srcdir)
+
 COMPARE_RUBY = $(BASERUBY)
 ITEM =
 OPTS =
Index: tool/bisect.sh
===================================================================
--- tool/bisect.sh	(revision 0)
+++ tool/bisect.sh	(revision 42436)
@@ -0,0 +1,42 @@ https://github.com/ruby/ruby/blob/trunk/tool/bisect.sh#L1
+#!/bin/sh
+# usage:
+#   edit $(srcdir)/test.rb
+#   git bisect start `git svn find-rev <rBADREV>` `git svn find-rev <rGOODREV>`
+#   cd <builddir>
+#   make bisect (or bisect-ruby for full ruby)
+
+if [ "x" = "x$MAKE" ]; then
+  MAKE=make
+fi
+
+case $1 in
+  miniruby | ruby ) # (miniruby|ruby) <srcdir>
+    srcdir=$2
+    builddir=`pwd` # assume pwd is builddir
+    path=$builddir/_bisect.sh
+    echo "path: $path"
+    cp $0 $path
+    cd $srcdir
+    echo "git bisect run $path run-$1"
+    git bisect run $path run-$1
+    ;;
+  run-miniruby )
+    cd ${0%/*} # assume a copy of this script is in builddir
+    $MAKE Makefile
+    $MAKE mini || exit 125
+    $MAKE run || exit 1
+    ;;
+  run-ruby )
+    cd ${0%/*} # assume a copy of this script is in builddir
+    $MAKE Makefile
+    $MAKE program || exit 125
+    $MAKE runruby || exit 1
+    ;;
+  "" )
+    echo foo bar
+    ;;
+  * )
+    echo unkown command "'$cmd'"
+    ;;
+esac
+exit 0

Property changes on: tool/bisect.sh
___________________________________________________________________
Added: svn:executable
   + *


--
ML: ruby-changes@q...
Info: http://www.atdot.net/~ko1/quickml/

[前][次][番号順一覧][スレッド一覧]